Subject: Re: TLB and CSSBAR problems with MPC8540 and BDI2000

From: Dan Malek <[email-masked]>
Date: Tue, 13 Jan 2004 20:43:06 -0500

Matthew S. McClintock wrote:

> So that leaves us back at the original question. Why does configuring
> the cpu via bdi2000 prevent me from using my u-boot image? Any other
> ideas?

Yep.  I have one now.  Make sure your u-boot image also has a TLB1
entry for your "default" CCSRBAR.  Further, make sure your BDI init
section doesn't move the CCSRBAR from the default value assumed by
your u-boot image.  I had the latter correct, just didn't realize
that a "TLB1 flash invalidate" command to the MMUCSR0 doesn't seem
to honor the 'invalidate protect' in the TLB entry.  Everything
works fine when you get all of the ducks in a row :-)

Of course, we should be discussing this on the u-boot list,
not on this one........

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/